@keyframes swing {
  0% {
    transform: rotate(0deg);
  }

  10% {
    transform: rotate(10deg);
  }

  30% {
    transform: rotate(0deg);
  }

  40% {
    transform: rotate(-10deg);
  }

  50% {
    transform: rotate(0deg);
  }

  60% {
    transform: rotate(5deg);
  }

  70% {
    transform: rotate(0deg);
  }

  80% {
    transform: rotate(-5deg);
  }

  100% {
    transform: rotate(0deg);
  }
}

@keyframes sonar {
  0% {
    transform: scale(.9);
    opacity: 1;
  }

  100% {
    transform: scale(2);
    opacity: 0;
  }
}

@keyframes fade {
  0% {
    opacity: 0;
  }

  100% {
    opacity: 1;
  }
}

.sidebar {
  width: $sidebar-width;
  height: 100%;
  max-height: 100%;
  position: fixed;
  top: 56px;
  left: 0px;
  z-index: 999;
  transition: left .3s ease, width .2s ease;

  a {
    text-decoration: none;
    transition: color .3s ease;
  }

  .sidebar-brand {
    padding: 0.5rem 3rem;
    display: inline-block;
    margin-right: 1rem;
    font-size: 1.25rem;
    line-height: inherit;
    white-space: nowrap;
  }

  .sidebar-content {
    max-height: calc(100% - 30px);
    height: calc(100% - 30px);
    overflow-y: auto;
    position: relative;
    box-shadow: 6px 6px 10px rgba(0,0,0, 0.12);

    .sidebar-header {
      padding: 10px 20px;
      display: flex;
      align-items: center;

      >a {
        text-transform: uppercase;
        font-weight: bold;
        flex-grow: 1;
        text-decoration: none;
      }

      #close-sidebar {
        cursor: pointer;
        font-size: 20px;
        transition: color .3s ease;
      }
    }

    .sidebar-profile {
      margin-top: 10px;
      padding: 20px;
      overflow: hidden;
      border-bottom: 1px solid $gray-500;

      .profile-pic {
        float: left;
        width: 60px;
        padding: 2px;
        border-radius: 12px;
        margin-right: 15px;
        overflow: hidden;

        img {
          object-fit: cover;
          height: 100%;
          width: 100%;
        }
      }

      .user-profile-link{
        text-decoration: none;
        color: #828282;
        font-size: 13px;
      }

      .user-profile-link:hover{
        color: #f2f2f2;
      }

      .user-info {
        float: left;

        >span {
          display: block;
        }

        .user-role {
          font-size: 12px;
        }

        .user-status {
          font-size: 11px;
          margin-top: 4px;

          i {
            font-size: 8px;
            margin-right: 4px;
            color: #5cb85c;
          }
        }
      }

    }

    .sidebar-menu {
      padding: 10px 0;

      .header-menu span {
        font-weight: bold;
        font-size: 14px;
        padding: 15px 20px 5px 20px;
        display: inline-block;
      }


      ul {
        list-style-type: none;
        padding: 0;
        margin: 0;

        li a {
          display: inline-block;
          width: 100%;
          text-decoration: none;
          position: relative;
          padding: 14px 35px 14px 15px;

          i {
            margin-right: 10px;
            font-size: 16px;
            width: 30px;
            height: 30px;
            line-height: 30px;
            text-align: center;
            border-radius: 4px;
          }

          &:hover {
            border-left: 2px solid $accent1;
            color: $accent1;
          }

          &:hover>i::before {
            display: inline-block;
            animation: swing ease-in-out .5s 1 alternate;
          }

        }
      }

      .sidebar-dropdown {
        >a:after {
          font-family: "Font Awesome 5 Free";
          font-weight: 900;
          content: "\f105";
          display: inline-block;
          font-style: normal;
          font-variant: normal;
          text-rendering: auto;
          -webkit-font-smoothing: antialiased;
          -moz-osx-font-smoothing: grayscale;
          text-align: center;
          background: 0 0;
          position: absolute;
          right: 15px;
          top: 18px;
          transition: transform .3s ease;

        }

        .sidebar-submenu {
          // display: none;
          overflow: hidden;

          ul {
            padding: 5px 0;
            list-style-type: none;
          }

          li {
            padding-left: 25px;
            font-size: 13px;

            a {
              .badge,
              .label {
                float: right;
                margin-top: 0;
              }

              &:hover {
                border: none;
              }

              &.active{
                font-weight: bold;
              }
            }

            &:hover {
              border: none;
            }
          }
        }

        &.active>a:after {
          transform: rotate(90deg);
          right: 15px;
        }
      }

    }


  }

  .sidebar-footer{
    position: fixed;
    bottom: 0;
    left: 0;
    width: $sidebar-width;
    height: 56px;
    font-size: 14px;
  }
}

@media (max-width: map_get($grid-breakpoints, lg)) {
  .sidebar {
    top: 56px;
  }

  .mini-sidebar .sidebar{
    top: 56px;
    width: 60px;
    transition: width .2s ease-out;

    .sidebar-content {

      .sidebar-profile {
        padding: 10px;

        .profile-pic {
          width: 40px;
        }

        .user-info{
          display: none;
        }
      }

      .sidebar-menu {

        ul {

          li a {
            padding: 8px 30px 8px 15px;

            span.label,
            span.badge {
              display: none;
            }
          }
        }

        .sidebar-dropdown {
          > a:after {
            right: 3px;
            top: 11px;
          }

          .sidebar-submenu {

            li {

              a {
                &:before {
                  margin-right: 10px;
                  font-size: 8px;
                }

                .badge,
                .label {
                  float: right;
                  margin-top: 0px;
                }

                &.active {
                  border-left: 2px solid $accent1;
                }
              }
            }
          }
        }
      }
    }

    .sidebar-footer{
      display: none;
    }
  }
}


@media (max-width: map_get($grid-breakpoints, sm)) {
  .sidebar {
    display: none;
    visibility: hidden;
    opacity: 0;
    top: 56px;
    animation: fade .3s;
  }

  .mini-sidebar .sidebar{
    display: block;
    width: $sidebar-width;
    visibility: visible;
    opacity: 1;
    animation: fade .4s;

    .sidebar-content {

      .sidebar-profile {
        padding: 10px;

        .profile-pic {
          width: 40px;
        }

        .user-info{
          display: block;
        }
      }

      .sidebar-menu {
        ul {
          li a {
            padding: 8px 30px 8px 15px;

            span.label,
            span.badge {
              display: inline-block;
            }
          }
        }

        .sidebar-dropdown {
          > a:after {
            right: 15px;
            top: 11px;
          }

          .sidebar-submenu {
            li {
              a {
                &:before {
                  margin-right: 10px;
                  font-size: 8px;
                }

                .badge,
                .label {
                  float: right;
                  margin-top: 0;
                }
              }
            }
          }
        }
      }
    }
    .sidebar-footer{
      display: block;
    }
  }
}


.sidebar {

  background-color: $bg-sidebar-wrapper;

  .sidebar-search input.search-menu,
  .sidebar-search .input-group-text {
    border-color: $border-color;
    box-shadow: none;
  }

  .sidebar-menu ul li:hover>a,
  .sidebar-profile .user-info,
  .sidebar-header>a:hover,
  .sidebar-footer>div>a:hover i,
  #close-sidebar:hover {
    color: $color;
  }

  .sidebar-menu .sidebar-dropdown.active>a, {
    border-left: 2px solid $accent1;
    color: $accent1;
  }

  ul li:hover a i,
  .sidebar-dropdown .sidebar-submenu li a:hover:before,
  .sidebar-search input.search-menu:focus+span,
  .sidebar-menu .sidebar-dropdown.active a i {
    color: $hover-color;
  }

  .sidebar-menu .sidebar-dropdown div,
  .sidebar-search input.search-menu,
  .sidebar-search .input-group-text {
    border: none;
    margin-left: 1px;
  }

  .sidebar-menu .header-menu span {
    color: $header-menu-color;
  }

  .sidebar-footer {
    border-top: 1px solid $gray-500;
  }



  // styles with background image
  &.sidebar-bg {

    /*background-image: url(/assets/img/bg1.jpg);*/
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;

    &:before {
      content: '';
      position: absolute;
      top: 0;
      right: 0;
      bottom: 0;
      left: 0;
    }

    .sidebar-profile,
    .sidebar-search,
    .sidebar-menu {
      border-top: 1px solid $border-color;
    }

    .sidebar-search input.search-menu,
    .sidebar-search .input-group-text {
      border-color: $border-color;
      box-shadow: none;
    }
  }
}